package com.acme.structure.exception.base;


public abstract class ServerException extends ApplicationException
{
    protected String reason;

    protected ServerException()
    {
        exceptionPrefix = "ARS-0";
    }

    public String getReason()
    {
        return reason;
    }

    public void setReason(String reason)
    {
        this.reason = reason;
    }
}
